Package: io.vertx.groovy.ext.auth.shiro

## [Groovy] Class ShiroAuth

- io.vertx.groovy.ext.auth.shiro.ShiroAuth

- Factory interface for creating Apache Shiro based AuthProvider instances.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ShiroAuth (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static ShiroAuth` | `create(Vertx vertx, io.vertx.ext.auth.shiro.ShiroAuthRealmType realmType, java.util.Map<java.lang.String, java.lang.Object> config)` Create a Shiro auth provider
    `static ShiroAuth` | `create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options)` Create a Shiro auth provider
    `java.lang.Object` | `getDelegate()`
    `ShiroAuth` | `setRolePrefix(java.lang.String rolePrefix)` Set the role prefix to distinguish from permissions when checking for isPermitted requests.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AuthProvider` | `authenticate, getDelegate`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ShiroAuth(java.lang.Object delegate)

  - ### Method Detail

    - #### static ShiroAuth create(Vertx vertx, io.vertx.ext.auth.shiro.ShiroAuthRealmType realmType, java.util.Map<java.lang.String, java.lang.Object> config)

      Create a Shiro auth provider

      Returns:
        the auth provider
      Parameters:
        `vertx` - the Vert.x instance
        `realmType` - the Shiro realm type
        `config` - the config

    - #### static ShiroAuth create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options)

      Create a Shiro auth provider

      Returns:
        the auth provider
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the Shiro configuration options (see ShiroAuthOptions)

    - #### java.lang.Object getDelegate()

    - #### ShiroAuth setRolePrefix(java.lang.String rolePrefix)

      Set the role prefix to distinguish from permissions when checking for isPermitted requests.

      Returns:
        a reference to this for fluency
      Parameters:
        `rolePrefix` - a Prefix e.g.: "role:"